function p.get_is_solid() return true end

function p.get_tex() return "block_room" end

function p.main()
    set_default_block("r_room")
    
    create_rect("e", 1,1,1, 14,14,14)
    create_rect("e", 6,0,6, 8,0,8) --Door.
    create_rect("e", 6,15,6, 8,15,8) --Door.
    
    --Example rects.
    create_rect("r_kitchen", 3,3,3, 10,3,3)
    create_rect("r_bathroom2", 3,10,6, 4,12,12)

    local msg_str = "The most common "
        .. "block creation function (after set_pos) "
        .. "is \"^x00ff00create_rect^!\". "
        .. "The syntax is "
        .. "create_rect(min_x, min_y, min_z, "
        .. "max_x, max_y, max_z, block_type_str)."
    add_bent_s(7,7,7,"bent_base_txt",msg_str)

    msg_str = "Remember you can go the console "
        .. "(press ~) and enter the \"script\" "
        .. "command to see the Lua script of the "
        .. "chunk you are in."
    add_bent_s(7,7,5,"bent_base_txt",msg_str)
end
